com.sun.pdfview.font.ttf

## Class TrueTypeTable

- java.lang.Object
- - com.sun.pdfview.font.ttf.TrueTypeTable

Direct Known Subclasses:
  CmapTable, GlyfTable, HeadTable, HheaTable, HmtxTable, LocaTable, MaxpTable, NameTable, PostTable

    public class TrueTypeTable
    extends java.lang.Object

The base class for TrueType tables. Specific tables can extend this to add more functionality

### Field Summary

Fields
`static int` `CMAP_TABLE` Well known tables
`static int` `GLYF_TABLE`
`static int` `HEAD_TABLE`
`static int` `HHEA_TABLE`
`static int` `HMTX_TABLE`
`static int` `LOCA_TABLE`
`static int` `MAXP_TABLE`
`static int` `NAME_TABLE`
`static int` `POST_TABLE`

### Constructor Summary

Constructors
`protected` `TrueTypeTable(int tag)` Creates a new instance of TrueTypeTable.

### Method Summary

Methods
`static TrueTypeTable` `createTable(TrueTypeFont ttf, java.lang.String tagString)` Get a new instance of an empty table by tag string
`static TrueTypeTable` `createTable(TrueTypeFont ttf, java.lang.String tagString, java.nio.ByteBuffer data)` Get a new instance of a table with provided data
`java.nio.ByteBuffer` `getData()` Get the data in the table
`int` `getLength()` Get the size of the table, in bytes
`int` `getTag()` Get the table's tag
`void` `setData(java.nio.ByteBuffer data)` Set the data in the table
`static int` `stringToTag(java.lang.String tag)` Turn a string into a tag
`static java.lang.String` `tagToString(int tag)` Get the tag as a string
`java.lang.String` `toString()` Put into a nice string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CMAP_TABLE

    public static final int CMAP_TABLE

Well known tables

See Also:
  Constant Field Values

#### GLYF_TABLE

    public static final int GLYF_TABLE

See Also:
  Constant Field Values

#### HEAD_TABLE

    public static final int HEAD_TABLE

See Also:
  Constant Field Values

#### HHEA_TABLE

    public static final int HHEA_TABLE

See Also:
  Constant Field Values

#### HMTX_TABLE

    public static final int HMTX_TABLE

See Also:
  Constant Field Values

#### MAXP_TABLE

    public static final int MAXP_TABLE

See Also:
  Constant Field Values

#### NAME_TABLE

    public static final int NAME_TABLE

See Also:
  Constant Field Values

#### POST_TABLE

    public static final int POST_TABLE

See Also:
  Constant Field Values

#### LOCA_TABLE

    public static final int LOCA_TABLE

See Also:
  Constant Field Values

### Constructor Detail

#### TrueTypeTable

    protected TrueTypeTable(int tag)

Creates a new instance of TrueTypeTable. This method is protected. Use the `getTable()` methods to get new instances.

Parameters:
  `tag` - the tag for this table

### Method Detail

#### createTable

    public static TrueTypeTable createTable(TrueTypeFont ttf,
                            java.lang.String tagString)

Get a new instance of an empty table by tag string

Parameters:
  `ttf` - the font that contains this table
  `tagString` - the tag for this table, as a 4 character string (e.g. head or cmap)

#### createTable

    public static TrueTypeTable createTable(TrueTypeFont ttf,
                            java.lang.String tagString,
                            java.nio.ByteBuffer data)

Get a new instance of a table with provided data

Parameters:
  `ttf` - the font that contains this table
  `tagString` - the tag for this table, as a 4 character string (e.g. head or cmap)
  `data` - the table data

#### getTag

    public int getTag()

Get the table's tag

#### getData

    public java.nio.ByteBuffer getData()

Get the data in the table

#### setData

    public void setData(java.nio.ByteBuffer data)

Set the data in the table

#### getLength

    public int getLength()

Get the size of the table, in bytes

#### tagToString

    public static java.lang.String tagToString(int tag)

Get the tag as a string

#### stringToTag

    public static int stringToTag(java.lang.String tag)

Turn a string into a tag

#### toString

    public java.lang.String toString()

Put into a nice string

Overrides:
  `toString` in class `java.lang.Object`